/* ==========================================================================
   #Widget styles - start
   ========================================================================== */

$widget-element-height: 43px;

.mkdf-sidebar {
    .widget_display_search {
        @include mkdfRelativeHolderLayout();
        #bbp-search-form.mkdf-search-menu-holder {
            @include mkdfRelativeHolderLayout();
            float: right;

            .mkdf-form-holder {
                @include mkdfRelativeHolderLayout();
                clear: both;

                .mkdf-column-left {
                    display: table-cell;
                    vertical-align: top;
                }

                .mkdf-column-right {
                    display: table-cell;
                    width: 1%;
                    text-align: left;
                    vertical-align: top;
                }

                .mkdf-search-field#bbp_search {
                    position: relative;
                    width: 100%;
                    height: 50px;
                    line-height: 50px;
                    margin: 0;
                    padding: 0 15px;
                    font-family: inherit;
                    font-size: 13px;
                    font-weight: 400;
                    color: $default-text-color;
                    background-color: $input_background-color;
                    border: none;
                    outline: 0;
                    vertical-align: middle;
                    box-sizing: border-box;

                    &::-webkit-input-placeholder {
                        color: $default-text-color;
                    }
                    &:-moz-placeholder {
                        color: $default-text-color;
                    }
                    &::-moz-placeholder {
                        color: $default-text-color;
                    }
                    &:-ms-input-placeholder {
                        color: $default-text-color;
                    }
                }

                #bbp_search_submit {
                    position: relative;
                    display: inline-block;
                    width: 50px;
                    height: 50px;
                    line-height: 50px;
                    padding: 0;
                    font-size: 16px;
                    font-family: FontAwesome;
                    color: #323131;
                    background-color: $input_background-color;
                    border: none;
                    outline: 0;
                    cursor: pointer;
                    vertical-align: middle;
                    text-align: center;
                    @include mkdfTransition(color 0.2s ease-out);

                    &:hover {
                        color: $default-heading-color;
                    }
                }
            }

            .mkdf-search-label {
                display: block;
                margin: 15px 0 0;
            }
        }
    }


    .widget.widget_display_replies,
    .widget.widget_display_topics {
        ul li {

            font-weight: 400;
            font-size: 13px;
            color: $first-main-color;
            border-bottom: 1px solid $default-border-color;
            margin-top: 10px;
            margin-bottom: 11px;
            padding-bottom: 7px;

            a {
                display: inline-block;
                font-family: inherit;
                font-size: inherit;
                font-weight: inherit;
                border: none;
                margin: 0;
                padding: 0;
                font-weight: 500;

            }

            div {
                font-size: 12px;
            }
        }

        .bbp-author-avatar {
            padding-right: 5px;
        }
    }

    .widget_display_views,
    .widget_display_forums {
        li {
            a {

                font-size: 13px;
                color: $default-text-color;
                line-height: $widget-element-height;
                position: relative;
                display: block;
                font-weight: 500;
                padding: 0 10px 0 0;
                margin: 0;
                overflow: hidden;
                @include mkdfTransition(padding .2s ease);

                &:after {
                    position: absolute;
                    top: 50%;
                    left: -15px;
                    display: inline-block;
                    vertical-align: middle;
                    font-family: "IonIcons";
                    content: "\f3d1";
                    speak: none;
                    color: $first-main-color;
                    font-size: 17px;
                    text-transform: none;
                    text-rendering: auto;
                    line-height: 17px;
                    -webkit-font-smoothing: antialiased;
                    -moz-osx-font-smoothing: grayscale;
                    @include mkdfTransform(translateY(-50%));
                    @include mkdfTransition(left .2s cubic-bezier(0.54, 0.49, 0, 1.75));
                }

                &:hover {
                    color: $first-main-color;
                    padding: 0 15px 0 15px;

                    &:after {
                        left: 0;
                    }
                }
            }
        }
    }

    .widget_display_stats {
        dl {
            font-size: 13px;

            > * {
                display: inline-block;
                float: left;
                border-bottom: 1px solid $default-border-color;
                margin: 0 0 5px;
                padding: 0 0 5px;
            }

            dt {
                width: 80%;
                font-weight: 500;
                font-size: 13px;
                color: $default-text-color;

            }
            dd {
                color: $default-text-color;
                width: 20%;
                text-align: right;
                font-weight: 300;

                strong:before {
                    content: "(";
                }

                strong:after {
                    content: ")";
                }

                &:last-child {
                    margin-bottom: 28px;
                }

            }
        }
    }

    .bbp_widget_login {

        .bbp-logged-in {
            > * {
                margin: 0;
                line-height: 16px;

                > a {
                    font-size: 16px;
                    line-height: 1em;
                    font-weight: 500;
                }
            }
        }

        input[type=text],
        input[type=password] {
            width: 100%;
            margin-bottom: 0px;
            padding: 16px 20px;
            outline: 0;
            font-size: 14px;
            color: #767676;
            border: none;
            background-color: #f5f7f7;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
            -webkit-transition: border-color 0.2s ease-out;
            -moz-transition: border-color 0.2s ease-out;
            transition: border-color 0.2s ease-out;
            resize: none;
            &:focus {
                border-color: $default-heading-color;
            }
        }
        label {
            font-size: 12px;
            padding-bottom: 5px;
        }
        .bbp-username {
            margin-top: 0;
        }
        .bbp-remember-me {
            label {
                font-size: 12px;
            }
            input {
                vertical-align: middle;
            }
        }
        .bbp-submit-wrapper {
            text-align: left;
            float: none;
        }

        .logout-link {
            color: $default-text-color;
            font-weight: 700;
            font-size: 12px;
        }

        button {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            outline: none;
            font-size: 13px;
            line-height: 2.714285714285714em;
            padding: 0 35px;
            color: #fff;
            background-color: $default-heading-color;
            border-width: 0; /* disable border over button when icon is used */
            cursor: pointer;
            @include mkdfTransition(background-color 0.15s ease-out, color 0.15s ease-out);

            &:hover {
                background-color: $first-main-color;
            }

        }
    }
}

/* ==========================================================================
   #Widget styles - end
   ========================================================================== */
